Skip to main content
POST
Quote withdrawable amount

Authorizations

x-app-id
string
header
required

Your application ID. Required for all app-tier and user-tier routes.

Authorization
string
header
required

JWT access token returned by POST /auth/verify. Required for user-tier routes.

Body

application/json
tokenSymbol
enum<string>
required

Stable-coin symbol the withdrawal is denominated in.

Available options:
USDC,
USDC.e,
USDT
destinationChainId
integer
required

Chain ID where the recipient would receive funds.

Required range: x >= 1

Response

200

tokenSymbol
enum<string>
required

Stable-coin symbol the withdrawal is denominated in.

Available options:
USDC,
USDC.e,
USDT
destinationChainId
integer
required
Required range: x >= 1
maxDeliverableRaw
string
required

Maximum amount the withdrawal planner can deliver, in destination decimals.

Pattern: ^[0-9]+$
rawBalanceRaw
string
required

Eligible raw balance before dust floors and route fees, in destination decimals.

Pattern: ^[0-9]+$
decimals
integer
required
Required range: 0 <= x <= 36